Subject: Re: 1.3.22: TMPDIR Initialization
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 4 Apr 2003 23:50:32 -0500

This is not a bug report mailing list.
See: http://cygwin.com/lists.html

Please use the cygwin mailing list for this type of thing.

I've redirected replies there.

On Fri, Apr 04, 2003 at 08:16:03PM -0800, Mark Moore wrote:
>TWIMC:
>
> 
>
>I recently did a fresh install of Cygwin on a fresh install of Win2K (my HD
>blew a gasket :-( .).  Once the dust settled, I tried to issue the following
>command:
>
> 
>
>    perldoc perldoc
>
> 
>
>I was quite surprised to see that it didn't work.  I received the following
>error message:
>
> 
>
>$ perldoc perldoc
>
>Error in tempfile() using /XXXXXXXXXX: Parent directory (/) is not writable
>
> at /usr/bin/perldoc line 564
>
> 
>
> 
>
>After hunting around for half a day, I got it cornered in the
>/usr/lib/perl5/5.8.0/File/Spec/cygwin.pm where the code makes an assumption
>that the TMPDIR environment variable points to a directory with write
>permission.  I'll post a bug on the Perl site, but it seems this is a Cygwin
>setup problem as well.
>
> 
>
>A number of Unix ports assume TMPDIR points to an existing directory with
>full access to create/delete/read/write files and directories (e.g. Perl).
>Shouldn't the Cygwin setup ensure this is a valid assumption?
>
> 
>
>Easy fixes might be to simply set TMPDIR to $TEMP or $TMP, which appear to
>be defined as part of the regular Win2K installation, or hard code it to
>"/tmp" since that directory seems to be created as part of the Cygwin
>install.  (IMHO, the best would be to mount $TEMP as /tmp, and setenv
>TMPDIR=/tmp).
>
> 
>
>Either way, the temp directory should grant full r/w/m permission to all
>users for that directory (chmod 777 /tmp).  BTW, I tried the chmod fix, and
>it didn't seem to stick.  The only way I could really change the permission
>was to use the Security tab on the folder Properties dialog.
>
> 
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/